/** SPINNER **/
.lds-dual-ring {
  display: inline-block;
  width: 64px;
  height: 64px;
}

.lds-dual-ring:after {
  content: " ";
  display: block;
  width: 46px;
  height: 46px;
  margin: 1px;
  border-radius: 50%;
  border: 5px solid #fff;
  border-color: #fff transparent #fff transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}

@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/** MAP **/
.map-wrapper {
  align-self: stretch;
  flex: 1;
  display: flex;
}

#map {
  width: 100%;
  height: 100%;
  background-color: #c7c7c7;
  flex: 1;
}

/** PLACE INPUT **/
.places-info {
  width: 300px;
  max-width: 300px;
  display: flex;
  padding: 0px 10px;
  flex-direction: column;
  align-self: stretch;
}

.place-input {
  border-radius: 2px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2), 0 -1px 0px rgba(0, 0, 0, 0.02);
  background: #fff;
  box-sizing: border-box;
  height: 48px;
  padding: 10px 20px;
  cursor: pointer;
  border: none;
  width: 100%;
  margin: 10px 0px;
}

.selected-locations {
  display: flex;
  flex-direction: column;
}

@media only screen and (max-width: 800px) {
  .places-info {
    width: 230px;
    max-width: 230px;
  }
}

@media only screen and (max-width: 550px) {
  .places-info {
    height: 250px;
    max-height: 250px;
    overflow-y: auto;
    width: 100%;
    max-width: 100%;
  }
}

/** ROUTE **/
.route {
  display: flex;
  align-items: center;
  border-radius: 2px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2), 0 -1px 0px rgba(0, 0, 0, 0.02);
  background: #bbb;
  box-sizing: border-box;
  padding: 5px 10px;
  margin: 5px 0px;
  margin-right: 5px;
  flex: 1 0 100%;
}

.route-index {
  color: #fff;
  padding-right: 3px;
}

.location-text {
  flex: 1;
}

.route-remove {
  color: #fff;
  cursor: pointer;
  font-size: 12px;
  padding-left: 10px;
}
